
Redmine - Defect #10008

auto_complete too restrictive?

2012-01-17 10:54 - ed boel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I have had this issue after upgrading to redmine-1.3.0: when adding a relation to an issue, normally the title of the related issue would

show up in a tooltip when entering the issue number. But in the new version, the loading box would pop-up but no tooltip show up.

The log files showed me this:

Processing IssuesController#auto_complete (for 100.100.100.100 at 2012-01-17 10:29:23) [POST]

  Parameters: {"scope"=>"all", "project_id"=>"roll-out-18", "action"=>"auto_complete", "amp"=>nil,

 "id"=>"3008", "q"=>"2862", "controller"=>"issues"}

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 18ms (View: 0, DB: 11) | 403 Forbidden [https://myhost.my/issuetracker/issues/auto_co

mplete?id=3008&amp;project_id=roll-out-system]

 After some research I discovered that the routes.rb had the line

   map.auto_complete_issues '/issues/auto_complete', :controller => 'auto_completes', :action => '

issues'

changed into:

   map.auto_complete_issues '/issues/auto_complete', :controller => 'auto_completes', :action => '

issues', :conditions => { :method => :get }

 As I can see in the log, it is clearly a POST. So I removed the condition, and it works again. But have I made now a horrible mistake?

History

#1 - 2012-01-17 11:58 - Etienne Massip

- Tracker changed from Patch to Defect

The autocomplete request should trigger a GET:

Processing AutoCompletesController#issues (for 10.132.21.139 at 2012-01-17 11:55:46) [GET]

  Parameters: {"scope"=>"all", "project_id"=>"prctwa", "action"=>"issues", "amp"=>nil, "id"=>"230", "q"=>"ers"

, "controller"=>"auto_completes"}

Rendering auto_completes/issues

Completed in 31ms (View: 16, DB: 16) | 200 OK [http://xxx/issues/auto_complete?id=230&amp;project_id=prctwa&q=

ers&scope=all]

#2 - 2020-01-13 04:47 - Go MAEDA

- Resolution set to Cant reproduce

#3 - 2020-06-25 14:27 - Go MAEDA

- Status changed from New to Closed

Cannot reproduce the issue. Please feel free to reopen this issue if you still experience the issue with the latest Redmine.
